#!/bin/bash

echo "install dependencies for tests"
pwd
source ./gitlab-ci/shared.sh

# install required packages
exec_cmd apt update

# install uspd
cd /opt/dev  
[ -d uspd ] && rm -fr uspd 
exec_cmd git clone https://dev.iopsys.eu/iopsys/uspd.git
cd uspd
#exec_cmd git checkout origin/transaction_id
exec_cmd ./gitlab-ci/install-dependencies.sh
exec_cmd ./gitlab-ci/setup.sh
exec_cmd make
exec_cmd cp uspd /usr/sbin/uspd

# install twampy
cd /opt/dev  
[ -d twampy ] && rm -fr twampy
exec_cmd git clone https://github.com/nokia/twampy.git

